Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042784
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementtrivialhave not tried2020-01-10 06:322020-01-16 17:13
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisione4c208a269ae
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042784: Apply new HQL style in CharacteristicValueEventHandler

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116790)
AtulOpenbravo (developer)
2020-01-13 11:16

Characteristic Event Handler

- Define a Product Characteristics, set Variant = Yes, Explode Configuration Tab = Yes
- Add records in Value Tab
- Add record in Subset Tab
- Add records in Subset value Tab.
- Create a Generic Product
- Add above Characteristics defined in Product Window Characteristics Tab.
- Run Create Variants process.
- Realize that Variant Products are created successfully.
- Realize that process are successful.
- Go to Value Tab in Product Characteristics Window.
- Change the Code of any Value record.
- Save the record.
- Realize that Code is modified accordingly in the Product Window | Characteristics | Characteristic Configuration Tab
(0116943)
hgbot (developer)
2020-01-16 17:13

Repository: erp/devel/pi
Changeset: e4c208a269ae144b8a04f55c7703393d86f41ab7
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jan 13 14:23:11 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e4c208a269ae144b8a04f55c7703393d86f41ab7 [^]

Fixes BUG-42784: Apply new HQL style in CharacteristicValueEventHandler

**Applied new HQL style, removed use of StringBuilder

---
M src/org/openbravo/event/CharacteristicValueEventHandler.java
---
(0116944)
hgbot (developer)
2020-01-16 17:13

Repository: erp/devel/pi
Changeset: c449b2991a44ae6e0b03df49c01c6f17f3b987f8
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jan 14 07:50:35 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/c449b2991a44ae6e0b03df49c01c6f17f3b987f8 [^]

Related To ISSUE-42784:Apply new HQL style in CharacteristicValueEventHandler

**Applied SonarLint suggesstion
**Avoid try catch nesting to improve readability and understand well which
block will catch which exception.
*ThreadLocal variables should be cleaned up when no longer used, calling
set(null) to remove the value might keep the reference to this pointer in
the map, which can cause memory leak in some scenarios. Using remove()
is safer to avoid this issue.

---
M src/org/openbravo/event/CharacteristicValueEventHandler.java
---
(0116945)
hgbot (developer)
2020-01-16 17:13

Repository: erp/devel/pi
Changeset: 7fba53bcd24fdf54a292d8abc9a1a0dea57408f0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 16 17:13:15 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7fba53bcd24fdf54a292d8abc9a1a0dea57408f0 [^]

Related to ISSUE-42784: Code Review Changes:
  * Simplify the call to the query object
  * Use id instead of object in query

---
M src/org/openbravo/event/CharacteristicValueEventHandler.java
---
(0116946)
dmiguelez (developer)
2020-01-16 17:13

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-10 06:32 AtulOpenbravo New Issue
2020-01-10 06:32 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-10 06:32 AtulOpenbravo Modules => Core
2020-01-10 06:32 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-10 06:32 AtulOpenbravo Issue generated from 0042740
2020-01-10 06:33 AtulOpenbravo Relationship added related to 0041287
2020-01-10 06:36 AtulOpenbravo Issue cloned 0042785
2020-01-13 11:16 AtulOpenbravo Status new => scheduled
2020-01-13 11:16 AtulOpenbravo Note Added: 0116790
2020-01-16 17:13 hgbot Checkin
2020-01-16 17:13 hgbot Note Added: 0116943
2020-01-16 17:13 hgbot Status scheduled => resolved
2020-01-16 17:13 hgbot Resolution open => fixed
2020-01-16 17:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e4c208a269ae144b8a04f55c7703393d86f41ab7 [^]
2020-01-16 17:13 hgbot Checkin
2020-01-16 17:13 hgbot Note Added: 0116944
2020-01-16 17:13 hgbot Checkin
2020-01-16 17:13 hgbot Note Added: 0116945
2020-01-16 17:13 dmiguelez Review Assigned To => dmiguelez
2020-01-16 17:13 dmiguelez Note Added: 0116946
2020-01-16 17:13 dmiguelez Status resolved => closed
2020-01-16 17:13 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker